<div class="container">
  <form class="example-form" [formGroup]="userForm" (ngSubmit)="editUser()">
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập họ tên</mat-label>
      <input matInput placeholder="Nguyễn Văn A" formControlName="name" />
      <mat-error *ngIf="userForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Tên tài khoản</mat-label>
      <input matInput placeholder="username" formControlName="username" />
      <mat-error *ngIf="userForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập mật khẩu</mat-label>
      <input
        matInput
        [type]="hide ? 'password' : 'text'"
        formControlName="new-password"
      />

      <button
        mat-icon-button
        matSuffix
        (click)="hide = !hide"
        [attr.aria-label]="'Hide password'"
        [attr.aria-pressed]="hide"
      >
        <mat-icon>{{ hide ? "visibility_off" : "visibility" }}</mat-icon>
      </button>
      <mat-error *ngIf="userForm">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập lại mật khẩu</mat-label>
      <input
        matInput
        [type]="hide ? 'password' : 'text'"
        formControlName="current-password"
      />
      <button
        mat-icon-button
        matSuffix
        (click)="hide = !hide"
        [attr.aria-label]="'Hide password'"
        [attr.aria-pressed]="hide"
      >
        <mat-icon>{{ hide ? "visibility_off" : "visibility" }}</mat-icon>
      </button>
      <mat-error *ngIf="userForm">Lỗi!</mat-error>
    </mat-form-field>

    <mat-form-field class="example-full-width" appearance="fill">
      <mat-select formControlName="role">
        <!-- <mat-option>-- None --</mat-option> -->
        <mat-option value="admin">admin</mat-option>
        <mat-option value="user">user</mat-option>
      </mat-select>
      <mat-label
        ><mat-icon>favorite</mat-icon> <b> Quyền hạn</b> <i> role</i></mat-label
      >
      <mat-error *ngIf="userForm">lỗi!</mat-error>
    </mat-form-field>

    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập email</mat-label>
      <input matInput placeholder="pat@example.com" formControlName="email" />
      <mat-error *ngIf="userForm">Lỗi!</mat-error>
    </mat-form-field>
    <button mat-button type="submit" [disabled]="!userForm.valid">Save</button>
  </form>
  <button mat-button (click)="clearUser()">Cancel</button>
</div>

<!-- <pre>{{ userForm.value | json }}</pre> -->
